// init object to hold OPS configuration settings
const opsConfig = {};

// add OPS API key
opsConfig.searchEngine = drupalSettings.onPointSearch.onPointKey;

// add OPS URL filter REGEX
if (drupalSettings.onPointSearch.onPointUrlFilter) {
  opsConfig.urlFilter = drupalSettings.onPointSearch.onPointUrlFilter;
} // @TODO: remove this on next OPS update
else {
  opsConfig.urlFilter = "(*)";
}

// add OPS URL exclude filter REGEX
if (drupalSettings.onPointSearch.onPointUrlExcludeFilter) {
  opsConfig.urlExcludeFilter =
    drupalSettings.onPointSearch.onPointUrlExcludeFilter;
}

(function (w, d, s, o, f, js, fjs) {
  w["OnPointSearch"] = o;
  w[o] =
    w[o] ||
    function () {
      (w[o].q = w[o].q || []).push(arguments);
    };
  (js = d.createElement(s)), (fjs = d.getElementsByTagName(s)[0]);
  js.id = o;
  js.src = f;
  js.async = 1;
  fjs.parentNode.insertBefore(js, fjs);
})(
  window,
  document,
  "script",
  "onpointsearch",
  "https://search.onpointsuite.ca/embed/v2/" +
  drupalSettings.onPointSearch.onPointKey +
  "/"
);
onpointsearch("init", opsConfig);
